Skip to content

POST /sonolus/{type}/{itemName}/community/comments/{commentName}/upload ​

/sonolus/{type}/{itemName}/community/comments/{commentName}/upload allows Sonolus app to upload files when submitting community actions to comment of name {commentName} in item of name {itemName}.

URL Parameters ​

URL ParameterValueDescription
typestringposts, playlists, levels, skins, backgrounds, effects, particles, engines, or replays.
itemNamestringName of item.
commentNamestringName of comment.

Query Parameters ​

Query ParameterValueDescription
localizationstringSee localization.
Configuration OptionsanySee Options Query Parameters.

Request Headers ​

HeaderValueDescription
Sonolus-SessionstringOptional, see Sonolus-Session.
Sonolus-Upload-KeystringSee POST /sonolus/{type}/{itemName}/community/comments/{commentName}/submit.

Request Body ​

multipart/form-data encoded data with files field.

Response Code ​

CodeDescription
200 OK
401 UnauthorizedAuthentication required or expired.
404 Not Found

Response Headers ​

HeaderValueDescription
Sonolus-VersionstringOptional, see Sonolus-Version.

Response Body ​

ts
type ServerUploadItemCommunityCommentActionResponse = {
    shouldUpdateCommunity?: boolean
    shouldUpdateComments?: boolean
    shouldNavigateCommentsToPage?: number
}

Examples ​

json
{}